#
# spec file for package wxGTK (Version 2.2.6)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  glib glib-devel gpp gtk gtk-devel joe libgpp libjpeg libmpeg libpng libtiff libz xf86 xpm
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glib glib-devel glibc glibc-devel gpm gpp gppshare grep groff gtk gtk-devel gzip joe kbd less libgpp libjpeg libmpeg libpng libtiff libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xf86 xshared

Name:         wxGTK
Copyright:    GPL
Group:        X11/Libraries
Autoreqprov:  on
Version:      2.2.6
Release:      112
Summary:      C++ framework for cross-platform development
Source0:      ftp://www.remstar.com/pub/wxwin/%{version}/%{name}-%{version}.tar.bz2
Source1:      ftp://www.remstar.com/pub/wxwin/%{version}/wxWindows-%{version}-HTML.zip
Source2:      ftp://www.remstar.com/pub/wxwin/%{version}/wxWindows-%{version}-PDF.zip
URL:          http://wxwindows.org
Provides:     wxgtk
Obsoletes:    wxgtk
Buildroot:    /var/tmp/wxgtk-root
Patch:        destdir.dif
Patch1:       warning-cleanup.dif
%define pref     /usr/X11R6
%define data_dir /usr/share
%define sbin_dir /usr/sbin
%define extra_flags -W -Wall -Wstrict-prototypes -Wpointer-arith

%description
wxWindows is a free C++ framework to make cross-platform programming child's
play. Well, almost. Supporting Windows 3.1/95/98/NT, Unix with
GTK/Motif/Lesstif. This is the version for GTK+ 1.2. This package only
contains the runtime libraries and other data needed by the runtime
libraries.

Authors:
--------
    Robert Roebling <robert@roebling.de>

SuSE series: xdev

%package devel
Summary:      Everything needed for development with wxGTK
Group:    Development/Libraries/X11
Provides: wxgtk:/usr/X11R6/bin/wx-config
Requires: wxGTK

%description devel
This package contains all files needed for developing with wxGTK (headers,
*.so symbolic links etc.)

Authors:
--------
    Robert Roebling <robert@roebling.de>

SuSE series: xdev

%package gl
Summary:      OpenGl add-on for wxGTK
Group:    X11/Libraries
Requires: wxGTK

%description gl
This package contains the OpenGl add-on library for wxGTK, the GTK+ 1.2
port of wxWindows.

Authors:
--------
    Robert Roebling <robert@roebling.de>

SuSE series: xdev

%prep
%setup
%patch -p1
%patch1 -p1
find . -name CVS| xargs rm -r
unzip %{SOURCE1}
unzip %{SOURCE2}

%build
%{suse_update_config}
CFLAGS="$RPM_OPT_FLAGS %{extra_flags}" \
CXXFLAGS="$RPM_OPT_FLAGS %{extra_flags}" CXX=c++ \
./configure --prefix=%{pref} --bindir=%{pref}/bin --sbindir=/usr/sbin \
            --datadir=/usr/share --mandir=%{_mandir} --infodir=%{_infodir} \
            --enable-burnt_name --with-odbc --with-opengl \
            %{_target_cpu}-suse-linux
make

%install
make DESTDIR=$RPM_BUILD_ROOT install

%files
%defattr(-, root, root)
%defattr (644, root, root, 755)
%doc contrib/docs/html contrib/docs/pdf docs/html docs/pdf
%doc samples
%doc COPYING.LIB INSTALL.txt LICENCE.txt README.txt SYMBOLS.txt TODO.txt
%dir %{data_dir}/wx
%{data_dir}/wx/*
%{pref}/lib/libwx_gtk-2.2.so.6.0.6
%{pref}/lib/libwx_gtk-2.2.so.6

%files devel
%defattr(-, root, root)
%defattr (644, root, root, 755)
%attr(755, -, -) %{pref}/bin/wxgtk-config
%attr(755, -, -) %{pref}/bin/wx-config
%dir %{pref}/include/wx
%{pref}/include/wx/*
%dir %{pref}/lib/wx
%{pref}/lib/wx/*
%{pref}/lib/libwx_gtk-2.2.so 
%{pref}/lib/libwx_gtk.so

%files gl
%defattr(-, root, root)
%attr(755, -, -) %{pref}/lib/libwx_gtk_gl*

%changelog -n wxGTK
* Tue May 08 2001 - mfabian@suse.de
- bzip2 source
* Fri Mar 30 2001 - pthomas@suse.de
- Update to 2.2.6
- Renamed to wxGTK
- Split off devel package.
- Build the OpenGl add-on lib.
- Install sample code in docdir.
- Change Makefiles to use DESTDIR.
- Include both HTML and PDF Versions of the manuals.
- Eliminate warnings in C++ code.
- Build with -W -Wall -Wstrict-prototypes -Wpointer-aritth
* Fri Jan 26 2001 - hhetter@suse.de
- Update to 2.2.4
* Sat Dec 09 2000 - mfabian@suse.de
- Add /usr/X11R6/bin/wxgtk-config to filelist
* Mon Nov 06 2000 - ro@suse.de
- fixed neededforbuild
* Fri Jun 09 2000 - ro@suse.de
- up to 2.1.16
* Mon Feb 21 2000 - uli@suse.de
- now builds with RPM_OPT_FLAGS
* Mon Feb 21 2000 - ro@suse.de
- update to 2.1.13
- use suse_update_config macro
- patch to compile with newest gtk
* Fri Jan 14 2000 - freitag@suse.de
- update to 2.1.12, URL, doc in seperate tarball
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Thu Aug 19 1999 - kukuk@suse.de
- Add /usr/X11R6/bin/wx-config to filelist
* Tue Jul 13 1999 - bs@suse.de
- use gtk and glib instead of gtkn and glibn
* Mon May 31 1999 - ray@suse.de
- new package
